post
https://api.elliemae.com/encompass/v3/externalUsers/me/changePassword
Use this API to enable external (TPO) users with the ability to change their Encompass password.
This API added with the 26.3 release of Encompass.
Usage Notes
- Users must be authenticated to call this API.
- New passwords must adhere to the configured password policies.
- SSO users are not allowed to change their Encompass passwords.
- If the calling user's account is locked or disabled by an Admin, the API returns 409 error with the following message:
The user account has been disabled. Please contact your administrator to enable the account before changing the password. - This API defaults the maximum number of password change attempts to 5 and the time rate-limit restriction between password change attempts to 15 minutes. Note: Can be configured per instance. Any violations return the following 429 error message:
Change password attempts exceeded maximum allowed limit. Please try again after some time. - If user changes password mid-session, the user should save work in all sessions before changing the password. User must then log out and log in again using new password.
204 400Bad Request
404Not Found
409User account disabled/locked
429Change password attempts exceeded maximum allowed limit. Please try again after some time.
